Subject: Re: [PATCH net-next] tools: ynl: rework policy access to support recursion

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Mar 2026 16:09:48 -0700

On Fri, 13 Mar 2026 16:20:47 -0700 Jakub Kicinski wrote:
> Donald points out that the current naive implementation using dicts
> breaks if policy is recursive (child nest uses policy idx already
> used by its parent).
> 
> Lean more into the NlPolicy class. This lets us "render" the policy
> on demand, when user accesses it. If someone wants to do an infinite
> walk that's on them :) Show policy info as attributes of the class
> and use dict format to descend into sub-policies for extra neatness.

Hi Donald, you promised to take a look when officially posted?